Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78055 - kernel panic after up2date of kernel-2.4.18-18.7.x.i686.rpm
Summary: kernel panic after up2date of kernel-2.4.18-18.7.x.i686.rpm
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-18 15:54 UTC by Need Real Name
Modified: 2008-08-01 16:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:12 UTC


Attachments (Terms of Use)

Description Need Real Name 2002-11-18 15:54:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
Ran up2date (latest version) and let it download and install kernel-2.4.18-
18.7.x.i686.rpm.  After download and install, upon reboot, got following:
mount: error 6 mounting ext3
pivot_root (/sysroot, /sysrootinitrd) failed:2
freeing unused kernel memory: 160k freed
kernel panic: no init found: Try passing init= open to kernel
Rebooted off previous kernel (2.4.18-17.7.x) and booted OK.
Using lilo as boot loader.

Version-Release number of selected component (if applicable):
kernel-2.4.18-18.7.x.i686.rpm

How reproducible:
Always

Steps to Reproduce:
1.reboot systeme
2.select 2.4.18-18.7.x kernel
3.
	

Actual Results:  kernel panic: no init found

Expected Results:  normal boot with new kernel

Additional info:

Comment 1 Arjan van de Ven 2002-11-18 15:58:45 UTC
pivot_root (/sysroot, /sysrootinitrd) failed:2

that line just looks wrong, any ideas Jeremy ?

Comment 2 Jeremy Katz 2002-11-18 16:25:58 UTC
Not unless mkinitrd has been modified by hand or they have some sort of fs
corruption...  from mkinitrd

echo "pivot_root /sysroot /sysroot/initrd" >> $RCFILE


Comment 3 Need Real Name 2002-11-18 16:46:23 UTC
mea culpa, the incorrect "pivot_root" line was a typo on my part.
The correct message is indeed:
pivot_root (/sysroot, /sysroot/initrd) failed: 2



Comment 4 Bugzilla owner 2004-09-30 15:40:12 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.